package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftStatusUpdateReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:58
 */
@Data
public class Nft050StatusUpdateRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft050StatusUpdateRespDto obj = new Nft050StatusUpdateRespDto();
    public static Nft050StatusUpdateRespDto getNew() {
        try {
            return (Nft050StatusUpdateRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft050StatusUpdateRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
